let list = [1..5]

let mutable factor = 2
let multiplier e = e * factor

printfn "%s" ((List.map (fun e -> e * factor) list).ToString())
printfn "%s" ((List.map multiplier list).ToString())

factor <- 3
printfn "%s" ((List.map (fun e -> e * factor) list).ToString())
printfn "%s" ((List.map multiplier list).ToString())